@echo off
if not (%1) == () goto START
echo *** 
echo *** Installation Batch File 
echo ***
echo *** This file should be running in your PCL4P work directory.
echo *** Choose Turbo Pascal (TP) or Borland Pascal with Objects (BP). 
echo ***
goto USAGE

:START
if "%1" == "TP" goto TURBO
if "%1" == "BP" goto BORLAND
if "%1" == "tp" goto TURBO
if "%1" == "bp" goto BORLAND
goto USAGE

:TURBO
if "%2" == "Y" goto TP_YES
if "%2" == "N" goto TP_NO
if "%2" == "y" goto TP_YES
if "%2" == "n" goto TP_NO
if "%2" == ""  goto TP_NO
goto USAGE

:BORLAND
if "%2" == "Y" goto BP_YES
if "%2" == "N" goto BP_NO
if "%2" == "y" goto BP_YES
if "%2" == "n" goto BP_NO
if "%2" == ""  goto BP_NO
goto USAGE

:TP_YES
@echo *** TURBO PASCAL: Creating PCL4P.TPU with TX interrupts enabled.
copy pcl4pY.obj pcl4p.obj
tpc pcl4p
goto FINI

:TP_NO
@echo *** TURBO PASCAL: Creating PCL4P.TPU w/o TX interrupts enabled.
copy pcl4pN.obj pcl4p.obj
tpc pcl4p
goto FINI

:BP_YES
@echo *** BORLAND PASCAL: Creating (Real mode) PCL4P.TPU with TX interrupts enabled.
copy pcl4pY.obj pcl4p.obj
bpc pcl4p
@echo *** BORLAND PASCAL: Creating (Protected mode) PCL4P16.TPP with TX interrupts enabled.
copy pcl4p16Y.obj pcl4p16.obj
bpc /CP use_dpmi
bpc /CP pcl4p16
goto FINI

:BP_NO
@echo *** BORLAND PASCAL: Creating (Real mode) PCL4P.TPU w/o TX interrupts enabled.
copy pcl4pN.obj pcl4p.obj
bpc pcl4p
@echo *** BORLAND PASCAL: Creating (Protected mode) PCL4P16.TPP w/o TX interrupts enabled.
copy pcl4p16N.obj pcl4p16.obj
bpc /CP use_dpmi
bpc /CP pcl4p16
goto FINI

:USAGE
echo *** Usage for Turbo Pascal is:
echo ***   'INSTALL TP Y' for TP with TX interrupts enabled.
echo ***   'INSTALL TP N' for TP with TX interrupts disabled [default].
echo *** Usage for Borland Pascal with Objects is:
echo ***   'INSTALL BP Y' for BP with TX interrupts enabled.
echo ***   'INSTALL BP N' for BP with TX interrupts disabled [default]. 
echo *** 
:FINI

